/* File:        cli.h
 * Version:     002
 * Date:        Jul 05, 2009
 * Author:      hueb
 * Description: Header file for command line interpreter.
 *              Contains definitions and types.
 *
 * Change history:
 * 001 Jun 12, 2009 hueb Original issue
 * 002 Jul 05, 2009 hueb Added version
 */

/******************************************************************************/

#define CLI_VERSION_STR "V1.0"
#define CLI_STARTUP_STR "NAOS command line interpreter " CLI_VERSION_STR "\r\n"

#define ISPRINTABLE(c) (((' ' <= c && c <= 128) || '\n' == c) ? 1 : 0)
#define CLI_CMD_MAXCMD CliCmdReboot

typedef struct tagCliInterface
{
	char cli_cmd_buf[256];
	char * cli_cmd_ptr;

	/* Workaround for COM port CLI*/
	unsigned short interface_info;
}CliInterface;

typedef enum tagCliCommand
{
	CliCmdDisplay, 
	CliCmdHelp, 
	CliCmdReboot
}CliCommand;
